Skip to navigation

Change status of envelope transfer rule

View as Markdown

This method changes the status of an envelope transfer rule. You use this method to change whether or not the rule is enabled.

You must include the envelopeTransferRuleId both as a query parameter, and in the request body.

Note: You cannot change any other information about the envelope transfer rule. Only Administrators can update an envelope transfer rule. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeTransferRuleIdstringRequired
The ID of the envelope transfer rule. The system generates this ID when the rule is first created.

Request

This endpoint expects an object: envelopeTransferRule

carbonCopyOriginalOwnerstringOptional

When true, the original owner is added as a carbon copy recipient after envelope transfer. The default value is false.

enabledstringOptional

When true, the envelope transfer rule is active.

envelopeTransferRuleIdstringOptional
The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
eventTypestringOptional

The type of envelope event that triggers the transfer. Valid values are:

  • sent
  • beforeSent
  • completed
fromGroupobjectOptional
This object contains information about a group.
fromUserobjectOptional
User information.
modifiedDatestringOptional

The UTC DateTime when the envelope transfer rule was last modified. This property is read-only.

modifiedUserobjectOptional
User information.
toFolderobjectOptional
This object contains details about a folder.
toUserobjectOptional
User information.

Response

Successful response.
carbonCopyOriginalOwnerstringOptional

When true, the original owner is added as a carbon copy recipient after envelope transfer. The default value is false.

enabledstringOptional

When true, the envelope transfer rule is active.

envelopeTransferRuleIdstringOptional
The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
eventTypestringOptional

The type of envelope event that triggers the transfer. Valid values are:

  • sent
  • beforeSent
  • completed
fromGroupobjectOptional
This object contains information about a group.
fromUserobjectOptional
User information.
modifiedDatestringOptional

The UTC DateTime when the envelope transfer rule was last modified. This property is read-only.

modifiedUserobjectOptional
User information.
toFolderobjectOptional
This object contains details about a folder.
toUserobjectOptional
User information.

Errors

400
Bad Request Error